Subject: font breakage, square boxes
From: Bradley Haggerty <[email-masked]>
To: [email-masked]
Date: Sun, 10 Mar 2019 02:48:14 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

A recent update breaks my fonts for most programs, making all characters
show as empty boxes. This happens inside and outside tmux, across various
terminal emulators, etc. It does not occur in deluge-gtk or my TTY. I
experimented with rolling back and doing a partial upgrade from there. With
this list of packages to upgrade, the issue comes back.

The following packages will be upgraded:
   font-terminus        4.40 → 4.47
/gnu/store/a3sksxcg43z7scag56mgg32mjnw2k6fd-font-terminus-4.47

   font-gnu-unifont     11.0.03 → 12.0.01
/gnu/store/ypljs2fyv33f6l55mj6spha7w2pxlr3w-font-gnu-unifont-12.0.01

   mpd  0.21.4 → 0.21.5
/gnu/store/dgj45pd8cg9n9fs95mlw8yprkdrsb4fz-mpd-0.21.5
   gnunet-gtk   0.10.1 → 0.10.1
/gnu/store/3vz8z6wn0cdrfsbz9yxclzyn7vnb5w81-gnunet-gtk-0.10.1

   gnunet       0.10.1 → 0.10.1
/gnu/store/a8jahsmhk21vz350izp2zfn1dbb3bc3j-gnunet-0.10.1

   gimp 2.10.8 → 2.10.8
/gnu/store/81z6bjvd9rx05l4hviisc98cirrn57z9-gimp-2.10.8
   ffmpeg       4.1.1 → 4.1.1
/gnu/store/4hcr7ygdhaxws6q5dj806cbvq0dkfgkw-ffmpeg-4.1.1

   youtube-dl   2019.02.18 → 2019.03.01
/gnu/store/1glmmv0lv1szipgk3ikbjdgp9xnncvrm-youtube-dl-2019.03.01

   qucs-s       0.0.20 → 0.0.20
/gnu/store/vf4pbqbaxq87rgjxw98alhgcd4dmahyz-qucs-s-0.0.20

   mpv  0.29.1 → 0.29.1
/gnu/store/xyfjhq1mcq4d4ijy65fxishz467r37kl-mpv-0.29.1
   vinagre      3.22.0 → 3.22.0
/gnu/store/gp3xi8zgxdxjiidk5b4wkq34vn08jv58-vinagre-3.22.0

   zathura      0.4.3 → 0.4.3
/gnu/store/92pkqiqsa4ngm70mw8a4qn9jr7azj2ap-zathura-0.4.3

   xinit        1.4.0 → 1.4.1
/gnu/store/d01b76z9kdyyajyxqln2m56i8ghdkdys-xinit-1.4.1

   xdg-utils    1.1.3 → 1.1.3
/gnu/store/gmzvdpqzcrvf06pjb3594gvhc46zyd12-xdg-utils-1.1.3

   ruby-pry     0.11.3 → 0.11.3
/gnu/store/vpv29xhpv7j1mi0plis1svqr7sf0n48j-ruby-pry-0.11.3

   readline     7.0.5 → 7.0.5
/gnu/store/si88gb25621k0w60kij5lxksn8l24664-readline-7.0.5

   python-glances       3.0.2 → 3.0.2
/gnu/store/9pa0x2s8jnldjkij7gb4yrinm0ccyj5q-python-glances-3.0.2

   pulseaudio   12.2 → 12.2
/gnu/store/hd3x89yknm4k6k4gw16jy5xk7idq1sxf-pulseaudio-12.2

   pcmanfm      1.3.0 → 1.3.0
/gnu/store/b0585azqb0wibpx7qn6gr740f8fh6cw5-pcmanfm-1.3.0

   minetest     0.4.17.1 → 5.0.0
/gnu/store/7n1dvbxqd2kk75sj4zi4snzw7d5y63cv-minetest-5.0.0

   fontconfig   2.13.1 → 2.13.1
/gnu/store/66jfnfgca7yi6xmpw6ax86cldvr016ia-fontconfig-2.13.1

   font-adobe-source-han-sans:jp        1.004 → 1.004
/gnu/store/zaj1ias1gdz3jmsgvhvn0c706aqw32b1-font-adobe-source-han-sans-1.004-jp

   dconf        0.28.0 → 0.28.0
/gnu/store/x6dgfq8b382jgciq24zcxlgpgxfxaxk2-dconf-0.28.0

It is hard to say what is to blame here. Three separate font packages are
being upgraded as well as fontconfig. Attached is a screenshot showing what
this breakage looks like. I worry that holding back fontconfig might  lead
to issues with the other fonts upgrading. I don't know if those fonts all
updated due to universal font changes.

$guix --version
guix (GNU Guix) 2b613a1a5d4d41b0b5d1f6ea7254585be0c209fa